### Method

# Vips Image decode_predict

#### Declaration [src]

    int
    vips_image_decode_predict (
      VipsImage* in,
      int* bands,
      VipsBandFormat* format
    )

#### Description [src]

We often need to know what an image will decode to without actually decoding it, for example, in arg checking.

See also

`vips_image_decode()`.

#### Parameters

`bands`

  Type: `int*`

  Predict bands here.

  The argument will be set by the function.

`format`

  Type: `VipsBandFormat`

  Predict format here.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

#### Return value

Type: `int`

No description available.